Create or update a specialist routing mapping
POST
/v1/specialist-mappingsAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredRequest body
requiredapplication/jsonagent_idstringrequiredenabledbooleankeywordsstring[] | nullpriorityinteger<int64>specialist_typestringrequiredResponses
200OK
agent_idstringrequiredcreated_atstring<date-time>requiredenabledbooleanrequiredidstringrequiredkeywordsstring[] | nullrequiredorganization_idstringrequiredpriorityinteger<int64>requiredspecialist_typestringrequiredupdated_atstring<date-time>required400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/specialist-mappings" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "string",
"enabled": true,
"keywords": [
"string"
],
"priority": 0,
"specialist_type": "string"
}'const response = await fetch("/v1/specialist-mappings", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"agent_id": "string",
"enabled": true,
"keywords": [
"string"
],
"priority": 0,
"specialist_type": "string"
})
});import requests
response = requests.post(
"/v1/specialist-mappings",
headers={
"Content-Type": "application/json"
},
json={
"agent_id": "string",
"enabled": True,
"keywords": [
"string"
],
"priority": 0,
"specialist_type": "string"
},
)Response
{
"agent_id": "string",
"created_at": "2024-01-01T00:00:00Z",
"enabled": true,
"id": "string",
"keywords": [
"string"
],
"organization_id": "string",
"priority": 0,
"specialist_type": "string",
"updated_at": "2024-01-01T00:00:00Z"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}